Bug 523273 - wrapped plugins not getting updated
Summary: wrapped plugins not getting updated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nspluginwrapper
Version: 13
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 608726 (view as bug list)
Depends On:
Blocks: 603564
TreeView+ depends on / blocked
 
Reported: 2009-09-14 17:23 UTC by Orion Poplawski
Modified: 2010-07-01 06:38 UTC (History)
11 users (show)

Fixed In Version: nspluginwrapper-1.3.0-13.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 603564 (view as bug list)
Environment:
Last Closed: 2010-06-29 15:33:06 UTC


Attachments (Terms of Use)
timestamp check (1.73 KB, patch)
2010-06-28 12:57 UTC, Martin Stransky
no flags Details | Diff
fixed patch (1.72 KB, patch)
2010-06-30 07:47 UTC, Martin Stransky
no flags Details | Diff

Description Orion Poplawski 2009-09-14 17:23:25 UTC
Description of problem:

Got a firefox update, restarted and the mozilla firefox updated page warned me that I needed a new flash plugin.  This surprised me because I update automatically from the Adobe repo.  about:plugins showed version 10.0 r22, but I had flash-plugin-10.0.32.18-release.i386 installed.  I removed /usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.libflashplayer.so and re-ran mozilla-plugin-config and now I see version 10.0 r32.  So, what's going on?

Version-Release number of selected component (if applicable):
nspluginwrapper-1.3.0-6.fc11.i586

Comment 1 Martin Stransky 2009-09-24 10:57:46 UTC
Yes, you're right. Although the new plug-in is used an old version is shown...it looks lite the plug-in version is stored in wrapper.

Comment 2 Martin Stransky 2009-09-25 09:46:50 UTC
Hm, the fix requires to get those informations directly from the plug-in and it's complicated by fact that the plugin is not initialized yet...

Comment 3 John Reiser 2009-10-30 20:41:54 UTC
Just check the plug-ins the same way as the extensions (languages, etc.): require a re-start.  That is: invoke each plugin "silently", record the version in the necessary place, re-start, check the version of each plugin.

Comment 4 Christopher Beland 2010-01-24 18:28:16 UTC
I experienced the same problem with Fedora 12; I currently have nspluginwrapper-1.3.0-10.fc12.i686 installed.  A copy of nswrapper_32_32.nppdf.so belonging to Adobe Reader 9.1 was left in place, with a copy of nppdf.so from Adobe Reader 9.3 installed at the same time.  This has serious security implications if the older version remains active.

Comment 5 Bug Zapper 2010-04-28 10:22:00 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Terje Røsten 2010-06-13 19:09:16 UTC
With the recent  lash plugin update I saw this problem again.

Firefox Plugin Check will warn the user which will get confused because
yum (with friends) says all software is update to date.

 http://www.mozilla.com/en-US/plugincheck/

A workaround could be to release nspluginwrapper update with post scripts
that refresh the wrapped plugins?

[ I have changed version Fedora 13 too]

Comment 7 Martin Stransky 2010-06-28 12:57:32 UTC
Created attachment 427409 [details]
timestamp check

Should fix this issue, compares modification time between wrapped and original plug-in file.

Comment 8 Fedora Update System 2010-06-28 13:20:10 UTC
nspluginwrapper-1.3.0-12.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nspluginwrapper-1.3.0-12.fc13

Comment 9 Christopher Aillon 2010-06-28 22:35:54 UTC
*** Bug 608726 has been marked as a duplicate of this bug. ***

Comment 10 Fedora Update System 2010-06-29 15:32:59 UTC
nspluginwrapper-1.3.0-12.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Matt McCutchen 2010-06-30 00:00:08 UTC
This line of the patch looks bogus:

return(!file && !wrap && file <= wrap);

The "file <= wrap" part is only reached if both "file" and "wrap" are zero.  Perhaps it was supposed to be:

return(!file && !wrap && file <= wrap);

Comment 12 Matt McCutchen 2010-06-30 00:00:55 UTC
Oops, the second time I meant:

return(file && wrap && file <= wrap);

Comment 13 Martin Stransky 2010-06-30 07:38:05 UTC
You're right, that's the correct construction.

Comment 14 Martin Stransky 2010-06-30 07:47:44 UTC
Created attachment 427900 [details]
fixed patch

Comment 15 Fedora Update System 2010-06-30 07:50:10 UTC
nspluginwrapper-1.3.0-13.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nspluginwrapper-1.3.0-13.fc13

Comment 16 Fedora Update System 2010-06-30 15:19:59 UTC
nspluginwrapper-1.3.0-13.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 A. Folger 2010-06-30 21:51:00 UTC
Well, I just updated:

$ rpm -qa nspluginwrapper
nspluginwrapper-1.3.0-13.fc13.x86_64
nspluginwrapper-1.3.0-13.fc13.i686

And I still have the same error messages and still no flash. What now?

Comment 18 Martin Stransky 2010-07-01 06:38:07 UTC
(In reply to comment #17)
> Well, I just updated:
> 
> $ rpm -qa nspluginwrapper
> nspluginwrapper-1.3.0-13.fc13.x86_64
> nspluginwrapper-1.3.0-13.fc13.i686
> 
> And I still have the same error messages and still no flash. What now?    

Please file a new bug for it with some closer description.


Note You need to log in before you can comment on or make changes to this bug.